/////////////////////////////////////////////////////////////////////////////
// main module for molcalc
////////////////////////////////////////////////////////////////////////////

#include <qapp.h>
#include <qplatinumstyle.h>
#include <qstring.h>
#include <qtranslator.h>
#include "dlgMolCalc.h"
#include <stdlib.h>

int main(int argc, char **argv)
{
const char *lang = getenv("LC_LANG");

QApplication::setStyle(new QPlatinumStyle());
QApplication a(argc,argv);


if(lang)
 {
 QString trfile(lang);
 QTranslator translator( 0 );
 qDebug(trfile);
 if(translator.load(trfile + ".qm", "."))
    a.installTranslator( &translator );  
 }
dlgMolCalc Molcalc(NULL,"MolCalc");
a.setMainWidget(&Molcalc);
a.connect(&a, SIGNAL(lastWindowClosed()), &a, SLOT(quit()) );
Molcalc.show();
return a.exec();
}
